
function TitleSelect.HookDropDownMenu()
	local i
	local default_DropDownListButton_OnClick
	local default_DropDownListButton_OnEnter
	local default_DropDownListButton_OnLeave

	if (DropDownList1Button1) then
		default_DropDownListButton_OnClick = DropDownList1Button1["__uiLuaOnClick__"]
		default_DropDownListButton_OnEnter = DropDownList1Button1["__uiLuaOnMouseEnter__"]
		default_DropDownListButton_OnLeave = DropDownList1Button1["__uiLuaOnMouseLeave__"]

		for i = 1, UIDROPDOWNMENU_MAXBUTTONS do
			getglobal("DropDownList1Button" .. i):RegisterForClicks("LeftButton", "RightButton")
		end

		DropDownList1Button1["__uiLuaOnClick__"] = function(frame, key, ...)
			if (key == "RBUTTON") then
				if (UIDROPDOWNMENU_OPEN_MENU == "TitleSelectFrame_ComboBox" or
					UIDROPDOWNMENU_OPEN_MENU == "XBarExt_TitleSelect_ComboBox") and
					(frame.value ~= TitleSelect.currentId) then
					GameTooltip:Hide()
					UIDROPDOWNMENU_MENU_BUTTON = frame:GetName()
					ToggleDropDownMenu(nil, frame:GetParent():GetID() + 1, frame.value)
				end
			else
				default_DropDownListButton_OnClick(frame, key, ...)
			end
		end

		DropDownList1Button1["__uiLuaOnMouseEnter__"] = function(frame, ...)
			default_DropDownListButton_OnEnter(frame, ...)

			if (UIDROPDOWNMENU_OPEN_MENU == "TitleSelectFrame_ComboBox") or
				(UIDROPDOWNMENU_OPEN_MENU == "XBarExt_TitleSelect_ComboBox") then
				TitleSelect.ShowTitleTooltip(frame)
			end
		end

		DropDownList1Button1["__uiLuaOnMouseLeave__"] = function(frame, ...)
			default_DropDownListButton_OnLeave(frame, ...)
		end

		for i = 2, UIDROPDOWNMENU_MAXBUTTONS do
			getglobal("DropDownList1Button" .. i)["__uiLuaOnClick__"] = DropDownList1Button1["__uiLuaOnClick__"]
			getglobal("DropDownList1Button" .. i)["__uiLuaOnMouseEnter__"] = DropDownList1Button1["__uiLuaOnMouseEnter__"]
			getglobal("DropDownList1Button" .. i)["__uiLuaOnMouseLeave__"] = DropDownList1Button1["__uiLuaOnMouseLeave__"]
		end
	else
		TitleSelect.OutputText(TitleSelect.Locale.ERROR_HOOK_DROP_DOWN, 0.5, 0.5, 0.5)
	end
end

