
function TitleSelect.AddonManagerRegister()
	if AddonManager then
		local addon = {
			name = TitleSelect.Locale.ADDON_NAME,
			version = TitleSelect.VERSION_STR,
			author = TitleSelect.AUTHOR,
			description = TitleSelect.Locale.DESCRIPTION,
			icon = "Interface/Icons/quest_papyrus01",
			category = "Interface",
			miniButton = TitleSelectAddonManagerButton,
			onClickScript = TitleSelect.ToggleConfigFrame
		}

		if AddonManager.RegisterAddonTable then
			AddonManager.RegisterAddonTable(addon)
		else
			AddonManager.RegisterAddon(addon.name, addon.description, addon.icon, addon.category, 
				addon.configFrame, addon.slashCommands, addon.miniButton, addon.onClickScript, addon.version, addon.author)
		end

		TitleSelectMinimapButton:Hide()
	end
end


function TitleSelect.MinimapButton_OnEnter(frame)
	GameTooltip:SetOwner(frame, "ANCHOR_LEFT", 4, 0)
	GameTooltip:SetText(TitleSelect.Locale.ADDON_NAME, 1, 1, 1)
	GameTooltip:AddLine(TitleSelect.Locale.DESCRIPTION, 1, 1, 0.7)
	GameTooltip:AddLine(UI_MINIMAPBUTTON_MOVE, 0, 0.75, 0.95)
	GameTooltip:Show()
end


function TitleSelect.MinimapButton_OnLeave(frame)
	GameTooltip:Hide()
end


function TitleSelect.ToggleConfigFrame()
	if TitleSelectConfigContainer:IsVisible() then
		TitleSelectConfigContainer:Hide()
	else
		TitleSelectConfigContainer:Show()
	end
end
